> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update or remove the owner of a SaaS

> Set the owning employee of the given SaaS application. `ownerId` is the ID of an employee in your company, or null to remove the owner and leave the application without one. The owner receives the provisioning and deprovisioning tasks of the application.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json put /saas/{saasId}/owner
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /saas/{saasId}/owner:
    put:
      tags:
        - Saas
      summary: Update or remove the owner of a SaaS
      description: >-
        Set the owning employee of the given SaaS application. `ownerId` is the
        ID of an employee in your company, or null to remove the owner and leave
        the application without one. The owner receives the provisioning and
        deprovisioning tasks of the application.
      operationId: updateSaasOwner
      parameters:
        - name: saasId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSaasOwnerBody'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSaasOwnerResult_Output'
components:
  schemas:
    UpdateSaasOwnerBody:
      type: object
      properties:
        ownerId:
          description: >-
            Employee ID of the new SaaS application owner, or null to remove the
            owner.
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
      required:
        - ownerId
    UpdateSaasOwnerResult_Output:
      type: object
      properties:
        id:
          type: string
          description: Company SaaS application ID.
        ownerId:
          description: Employee ID of the SaaS application owner.
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - ownerId
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.